al_set_event_source_data(3)

NAME

al_set_event_source_data - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_event_source_data(ALLEGRO_EVENT_SOURCE *source, intptr_t data)

DESCRIPTION

Assign the abstract user data to the event source. Allegro does not use the data internally for anything; it is simply meant as a convenient way to associate your own data or objects with events.

SEE ALSO

al_get_event_source_data(3)